<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">SettingsManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a4b5f4148b96beb370c986387cd56d20b">addObserver</a>(std::shared_ptr&lt; ObserverType&lt; index &gt;&gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a3a5d3220939bcf5eb1c6bba4cebdd1fd">addSetting</a>(std::shared_ptr&lt; SettingType&lt; index &gt;&gt; setting)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a2703844cd7fbc775ce47c14b215ae7b4">getValue</a>(const ValueType&lt; index &gt; &amp;defaultValue) const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#ae4c48aac8419c1d4de35b628406dcf05">getValue</a>(const ValueType&lt; index &gt; &amp;defaultValue) const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#acce7b56dd8ae144d8e13a481f2125440">ObserverType</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a966496ddce73854b17f0933316be7c03">removeObserver</a>(std::shared_ptr&lt; ObserverType&lt; index &gt;&gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a677d8b6bd86ee15fa66bb8f914d1a3ae">removeSetting</a>(std::shared_ptr&lt; SettingType&lt; index &gt;&gt; setting)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#af6a131db1743509c593152703cdf32dd">SettingPointerType</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#aac787ca8e312004eb606c362ce6cce57">SettingsManager</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#aa7a89f716b020c67266337681fe652bd">SettingType</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a08f496cd9a1074222872c294615a7364">setValue</a>(const ValueType&lt; index &gt; &amp;value)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#ab871967b51878049f2257dcabd0ff4c6">ValueType</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html#a1eaf869a451665a06d0b25da6f52302f">~SettingsManager</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_settings_manager.html">alexaClientSDK::settings::SettingsManager&lt; SettingsT &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
